Package org.eclipse.net4j.util.ui.views

## Class ContainerView.ContainerViewItemProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<INPUT>
      - - org.eclipse.net4j.util.ui.views.ItemProvider<CONTAINER>
        - - org.eclipse.net4j.util.ui.views.ContainerItemProvider<IContainer<java.lang.Object>>
          - - org.eclipse.net4j.util.ui.views.ContainerView.ContainerViewItemProvider

- All Implemented Interfaces:
    `java.util.EventListener`, `DelegatingStyledCellLabelProvider.IStyledLabelProvider`, `IBaseLabelProvider`, `IColorProvider`, `IContentProvider`, `IFontProvider`, `ILabelProvider`, `IStructuredContentProvider`, `ITreeContentProvider`, `IListener`
  Enclosing class:
    ContainerView

      public class ContainerView.ContainerViewItemProvider
      extends ContainerItemProvider<IContainer<java.lang.Object>>

  Since:
    3.9
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `ContainerItemProvider.AbstractContainerNode, ContainerItemProvider.AbstractNode, ContainerItemProvider.ContainerNode, ContainerItemProvider.ErrorElement, ContainerItemProvider.FixedChildrenNode, ContainerItemProvider.LazyElement, ContainerItemProvider.LeafNode, ContainerItemProvider.Node, ContainerItemProvider.SlowElement`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

      `IListener.NotifierAware`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `ERROR_IMAGE, PENDING_COLOR, PENDING_IMAGE`

    - ### Fields inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

      `NO_ELEMENTS`

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainerViewItemProvider​(IElementFilter rootElementFilter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Color` | `getBackground​(java.lang.Object obj)` |
    `Font` | `getFont​(java.lang.Object obj)` |
    `Color` | `getForeground​(java.lang.Object obj)` |
    `Image` | `getImage​(java.lang.Object obj)` |
    `java.lang.String` | `getText​(java.lang.Object obj)` |
    `protected void` | `handleElementEvent​(IEvent event)` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `addNode, clearNodesCache, connectInput, createContaineNode, createLeafNode, createNode, createSlowElement, createSlowInput, disconnectInput, elementAdded, elementRemoved, executeRunnable, fillContextMenu, filterRootElement, getChildren, getContainerChildren, getErrorText, getNode, getNodes, getParent, getRoot, getRootElementFilter, getSlowText, handleInactiveElement, hasChildren, isComputeChildrenEagerly, isSlow, removeNode`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

      `addListener, fireLabelProviderChanged, fireLabelProviderChanged, fireLabelProviderChanged, getElements, getListeners, getStyledText, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `dispose`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

      `dispose, inputChanged`

- - ### Constructor Detail

    - #### ContainerViewItemProvider

          public ContainerViewItemProvider​(IElementFilter rootElementFilter)

  - ### Method Detail

    - #### getImage

          public Image getImage​(java.lang.Object obj)

      Specified by:
        `getImage` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
      Specified by:
        `getImage` in interface `ILabelProvider`
      Overrides:
        `getImage` in class `ContainerItemProvider<IContainer<java.lang.Object>>`

    - #### getText

          public java.lang.String getText​(java.lang.Object obj)

      Specified by:
        `getText` in interface `ILabelProvider`
      Overrides:
        `getText` in class `ItemProvider<IContainer<java.lang.Object>>`

    - #### getForeground

          public Color getForeground​(java.lang.Object obj)

      Specified by:
        `getForeground` in interface `IColorProvider`
      Overrides:
        `getForeground` in class `ContainerItemProvider<IContainer<java.lang.Object>>`

    - #### getBackground

          public Color getBackground​(java.lang.Object obj)

      Specified by:
        `getBackground` in interface `IColorProvider`
      Overrides:
        `getBackground` in class `ItemProvider<IContainer<java.lang.Object>>`

    - #### getFont

          public Font getFont​(java.lang.Object obj)

      Specified by:
        `getFont` in interface `IFontProvider`
      Overrides:
        `getFont` in class `ContainerItemProvider<IContainer<java.lang.Object>>`

    - #### handleElementEvent

          protected void handleElementEvent​(IEvent event)

      Overrides:
        `handleElementEvent` in class `ContainerItemProvider<IContainer<java.lang.Object>>`